Subject: Re: [OAUTH-WG] [OPS-DIR] ops-dir review of draft-ietf-oauth-jwt-bearer-10

From: Mike Jones <[email-masked]>
Date: Mon, 13 Oct 2014 14:25:39 +0000

Thanks for your review, Tim.  I've added the working group to the thread so they're aware of your comments.  Replies are inline below...

> -----Original Message-----
> From: Benoit Claise [mailto:[email-masked]]
> Sent: Monday, October 13, 2014 6:45 AM
> To: Tim Wicinski; [email-masked]; draft-ietf-oauth-jwt-
> [email-masked]
> Subject: Re: [OPS-DIR] ops-dir review of draft-ietf-oauth-jwt-bearer-10
> 
> Hi Tim,
> 
> [including [email-masked]]
> 
> Thanks for your review.
> Note that I-D.ietf-oauth-assertions is on the IESG telechat this Thursday, along
> with I-D.draft-ietf-oauth-jwt-bearer
> 
> Regards, Benoit
> >
> > I have reviewed this document as part of the Operational directorate's
> > ongoing effort to review all IETF documents being processed by the
> > IESG.  These comments were written primarily for the benefit of the
> > operational area directors.  Document editors and WG chairs should
> > treat these comments just like any other last call comments.
> >
> > Summary: Ready with some questions
> >
> > Editorial Nits:
> >
> > Terminology; there are several terms in the draft which are used, and
> > in the Terminology section, the authors refer to 3 different drafts.
> > However though documents use this terminology in a standard format (ex
> > 'Authorization Grant'), but this document fails to follow this format.

It's not clear, at least to me, what the specific ask is or asks are here.  Tom, if you want specific changes, if you were to give specific examples of what you'd like to see, that would be helpful in understanding the comment.

As for there being three drafts, the Assertions draft is the base draft and the SAML and JWT drafts are specializations of that base draft to specific token types.  Terminology common to all three is defined in the base draft.

> > Editorially, I would think with multiple documents as sources, the
> > terminologies should be attributed to specific documents.  This may be
> > my personal opinion.

Again, common terms are defined in the base document, not the token type specific specialization documents.

> > Section 2:  The draft is referencing work done on a draft that has not
> > been published, I-D.ietf-oauth-assertions but is being the basis for
> > this draft. I would think this document should wait until that draft
> > has been published, as it could change before publication.
> >
> > I got hung up on that issue, and while I read the rest of the draft
> > and it does appear to be ready for publication with some editorial
> > bits, I felt I gave some of the later sections less vigorous approach
> > based on my previous blocker.

The three documents will proceed to RFC status as a group.  The RFC Editor has a mechanism for keeping such document clusters together.

> > tim
> >
> > _______________________________________________
> > OPS-DIR mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ops-dir

				Thanks again,
				-- Mike